File: metadata.yml

package info (click to toggle)
ruby-nmatrix 0.1.0~rc3-2
  • links: PTS, VCS
  • area: main
  • in suites: experimental
  • size: 4,156 kB
  • sloc: cpp: 8,479; ruby: 4,755; ansic: 3,744; sh: 31; makefile: 4
file content (292 lines) | stat: -rw-r--r-- 8,026 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
--- !ruby/object:Gem::Specification
name: nmatrix
version: !ruby/object:Gem::Version
  version: 0.1.0.rc3
platform: ruby
authors:
- John Woods
- Chris Wailes
- Aleksey Timin
autorequire: 
bindir: bin
cert_chain: []
date: 2014-03-27 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: rdoc
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 4.0.1
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 4.0.1
- !ruby/object:Gem::Dependency
  name: rake
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: bundler
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: rspec
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: rspec-longrun
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: pry
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
- !ruby/object:Gem::Dependency
  name: rake-compiler
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 0.8.1
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 0.8.1
description: NMatrix is an experimental linear algebra library for Ruby, written mostly
  in C.
email:
- john.o.woods@gmail.com
executables: []
extensions:
- ext/nmatrix/extconf.rb
extra_rdoc_files: []
files:
- .gitignore
- .rspec
- .travis.yml
- CONTRIBUTING.md
- Gemfile
- Guardfile
- History.txt
- LICENSE.txt
- Manifest.txt
- README.rdoc
- Rakefile
- ext/nmatrix/binary_format.txt
- ext/nmatrix/data/complex.h
- ext/nmatrix/data/data.cpp
- ext/nmatrix/data/data.h
- ext/nmatrix/data/meta.h
- ext/nmatrix/data/rational.h
- ext/nmatrix/data/ruby_object.h
- ext/nmatrix/extconf.rb
- ext/nmatrix/math.cpp
- ext/nmatrix/math/asum.h
- ext/nmatrix/math/geev.h
- ext/nmatrix/math/gemm.h
- ext/nmatrix/math/gemv.h
- ext/nmatrix/math/ger.h
- ext/nmatrix/math/gesdd.h
- ext/nmatrix/math/gesvd.h
- ext/nmatrix/math/getf2.h
- ext/nmatrix/math/getrf.h
- ext/nmatrix/math/getri.h
- ext/nmatrix/math/getrs.h
- ext/nmatrix/math/idamax.h
- ext/nmatrix/math/inc.h
- ext/nmatrix/math/laswp.h
- ext/nmatrix/math/long_dtype.h
- ext/nmatrix/math/math.h
- ext/nmatrix/math/nrm2.h
- ext/nmatrix/math/potrs.h
- ext/nmatrix/math/rot.h
- ext/nmatrix/math/rotg.h
- ext/nmatrix/math/scal.h
- ext/nmatrix/math/swap.h
- ext/nmatrix/math/trsm.h
- ext/nmatrix/nm_memory.h
- ext/nmatrix/nmatrix.cpp
- ext/nmatrix/nmatrix.h
- ext/nmatrix/ruby_constants.cpp
- ext/nmatrix/ruby_constants.h
- ext/nmatrix/ruby_nmatrix.c
- ext/nmatrix/storage/common.cpp
- ext/nmatrix/storage/common.h
- ext/nmatrix/storage/dense/dense.cpp
- ext/nmatrix/storage/dense/dense.h
- ext/nmatrix/storage/list/list.cpp
- ext/nmatrix/storage/list/list.h
- ext/nmatrix/storage/storage.cpp
- ext/nmatrix/storage/storage.h
- ext/nmatrix/storage/yale/class.h
- ext/nmatrix/storage/yale/iterators/base.h
- ext/nmatrix/storage/yale/iterators/iterator.h
- ext/nmatrix/storage/yale/iterators/row.h
- ext/nmatrix/storage/yale/iterators/row_stored.h
- ext/nmatrix/storage/yale/iterators/row_stored_nd.h
- ext/nmatrix/storage/yale/iterators/stored_diagonal.h
- ext/nmatrix/storage/yale/math/transpose.h
- ext/nmatrix/storage/yale/yale.cpp
- ext/nmatrix/storage/yale/yale.h
- ext/nmatrix/ttable_helper.rb
- ext/nmatrix/types.h
- ext/nmatrix/util/io.cpp
- ext/nmatrix/util/io.h
- ext/nmatrix/util/sl_list.cpp
- ext/nmatrix/util/sl_list.h
- ext/nmatrix/util/util.h
- lib/nmatrix.rb
- lib/nmatrix/blas.rb
- lib/nmatrix/enumerate.rb
- lib/nmatrix/io/market.rb
- lib/nmatrix/io/mat5_reader.rb
- lib/nmatrix/io/mat_reader.rb
- lib/nmatrix/io/point_cloud.rb
- lib/nmatrix/lapack.rb
- lib/nmatrix/math.rb
- lib/nmatrix/monkeys.rb
- lib/nmatrix/nmatrix.rb
- lib/nmatrix/nvector.rb
- lib/nmatrix/rspec.rb
- lib/nmatrix/shortcuts.rb
- lib/nmatrix/version.rb
- lib/nmatrix/yale_functions.rb
- nmatrix.gemspec
- scripts/mac-brew-gcc.sh
- scripts/mac-mavericks-brew-gcc.sh
- spec/00_nmatrix_spec.rb
- spec/01_enum_spec.rb
- spec/02_slice_spec.rb
- spec/2x2_dense_double.mat
- spec/4x4_sparse.mat
- spec/4x5_dense.mat
- spec/blas_spec.rb
- spec/elementwise_spec.rb
- spec/io_spec.rb
- spec/lapack_spec.rb
- spec/leakcheck.rb
- spec/math_spec.rb
- spec/nmatrix_yale_resize_test_associations.yaml
- spec/nmatrix_yale_spec.rb
- spec/rspec_monkeys.rb
- spec/rspec_spec.rb
- spec/shortcuts_spec.rb
- spec/slice_set_spec.rb
- spec/spec_helper.rb
- spec/stat_spec.rb
- spec/test.pcd
- spec/utm5940.mtx
homepage: http://sciruby.com
licenses:
- BSD 2-clause
metadata: {}
post_install_message: "***********************************************************\nWelcome
  to SciRuby: Tools for Scientific Computing in Ruby!\n\nNMatrix requires a C compiler,
  and has been tested only\nwith GCC 4.6+. We are happy to accept contributions\nwhich
  improve the portability of this project.\n\nAlso required is ATLAS. Most Linux distributions
  and Mac\nversions include ATLAS, but you may wish to compile it\nyourself. The Ubuntu/Debian
  apt package for ATLAS WILL \nNOT WORK with NMatrix if LAPACK is also installed.\n\nMore
  explicit instructions for NMatrix and SciRuby should\nbe available on the SciRuby
  website, sciruby.com, or\nthrough our mailing list (which can be found on our web-\nsite).\n\nThanks
  for trying out NMatrix! Happy coding!\n\n***********************************************************\n"
rdoc_options: []
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: '1.9'
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>'
    - !ruby/object:Gem::Version
      version: 1.3.1
requirements: []
rubyforge_project: 
rubygems_version: 2.0.3
signing_key: 
specification_version: 4
summary: NMatrix is an experimental linear algebra library for Ruby, written mostly
  in C.
test_files:
- spec/00_nmatrix_spec.rb
- spec/01_enum_spec.rb
- spec/02_slice_spec.rb
- spec/2x2_dense_double.mat
- spec/4x4_sparse.mat
- spec/4x5_dense.mat
- spec/blas_spec.rb
- spec/elementwise_spec.rb
- spec/io_spec.rb
- spec/lapack_spec.rb
- spec/leakcheck.rb
- spec/math_spec.rb
- spec/nmatrix_yale_resize_test_associations.yaml
- spec/nmatrix_yale_spec.rb
- spec/rspec_monkeys.rb
- spec/rspec_spec.rb
- spec/shortcuts_spec.rb
- spec/slice_set_spec.rb
- spec/spec_helper.rb
- spec/stat_spec.rb
- spec/test.pcd
- spec/utm5940.mtx